---
lang: en
title: 'API docs: context.configurationresolver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.configurationresolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ConfigurationResolver](./context.configurationresolver.md)

## ConfigurationResolver interface

Resolver for configuration of bindings. It's responsible for finding corresponding configuration for a given binding key.

By default, `undefined` is expected if no configuration is provided. The behavior can be overridden by setting `optional` to `false` in resolution options.

**Signature:**

```typescript
export interface ConfigurationResolver 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [getConfigAsValueOrPromise(key, propertyPath, resolutionOptions)](./context.configurationresolver.getconfigasvalueorpromise.md) | Resolve config for the binding key |


